Query list of products
curl --request POST \
--url https://api.fireant.vn/fmarket/markets/filter-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 123,
"page_size": 123,
"fundAssetTypes": [
"<string>"
],
"sortField": "<string>",
"sortOrder": "<string>"
}
'import requests
url = "https://api.fireant.vn/fmarket/markets/filter-products"
payload = {
"page": 123,
"page_size": 123,
"fundAssetTypes": ["<string>"],
"sortField": "<string>",
"sortOrder": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 123,
page_size: 123,
fundAssetTypes: ['<string>'],
sortField: '<string>',
sortOrder: '<string>'
})
};
fetch('https://api.fireant.vn/fmarket/markets/filter-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"total_items": 123,
"items": [
{
"id": 123,
"name": "<string>",
"short_name": "<string>",
"code": "<string>",
"description": "<string>",
"min_purchase_value": 123,
"max_purchase_value": 123,
"expected_profit": 123,
"approval_date_label": "<string>",
"sale_payment_term": 123,
"order_book_closed_time_label": "<string>",
"receive_money_closed_time_label": "<string>",
"trading_session": 123,
"trading_session_format": "<string>",
"product_fee_lst": [
{
"type": "<string>",
"begin_operator": "<string>",
"begin_volume": 123,
"end_operator": "<string>",
"end_volume": 123,
"fee": 123,
"dest_product_id": 123
}
],
"management_fee": 123,
"min_purchase_fee": 123,
"max_purchase_fee": 123,
"min_sale_fee": 123,
"max_sale_fee": 123,
"nav": 123,
"nav_date": "<string>",
"nav_to_previous_value": 123,
"nav_to_previous": 123,
"nav_to_last_year": 123,
"min_holding_volume": 123,
"fund_asset_type": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"issuer_info": {
"id": 123,
"name": "<string>",
"short_name": "<string>",
"website": "<string>",
"avatar_url": "<string>"
},
"asset_allocations": [
{
"id": 123,
"name": "<string>"
}
],
"nav_change": {
"nav_to_3_months": 123,
"nav_to_6_months": 123,
"nav_to_12_months": 123,
"nav_to_36_months": 123,
"nav_to_beginning": 123,
"annualized_return_36_months": 123
}
}
]
}Fmarket
Query list of products
POST
/
fmarket
/
markets
/
filter-products
Query list of products
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
user-data-write
Cập nhật tất cả dữ liệu của người dùng hiện tại
Nội dung
application/jsontext/json